## org.eclipse.datatools.modelbase.sql.schema
Interface Sequence

All Superinterfaces:
  SQLObject, TypedElement

All Known Implementing Classes:
  SequenceImpl

public interface Sequence
extends TypedElement

A representation of the model object 'Sequence'.

The following features are supported:

- `Identity`
- `Schema`

See Also:
  `SQLSchemaPackage.getSequence()`

Method Summary
`IdentitySpecifier` `getIdentity()` Returns the value of the 'Identity' containment reference.
`Schema` `getSchema()` Returns the value of the 'Schema' reference.
`void` `setIdentity(IdentitySpecifier value)` Sets the value of the '`Identity`' containment reference.
`void` `setSchema(Schema value)` Sets the value of the '`Schema`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getIdentity

    public IdentitySpecifier getIdentity()

  Returns the value of the 'Identity' containment reference.

  If the meaning of the 'Identity' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identity' containment reference.
  See Also:
    `setIdentity(IdentitySpecifier)`, `SQLSchemaPackage.getSequence_Identity()`

### setIdentity

    public void setIdentity(IdentitySpecifier value)

  Sets the value of the '`Identity`' containment reference.

  Parameters:
    `value` - the new value of the 'Identity' containment reference.
  See Also:
    `getIdentity()`

### getSchema

    public Schema getSchema()

  Returns the value of the 'Schema' reference. It is bidirectional and its opposite is '`Sequences`'.

  If the meaning of the 'Schema' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schema' reference.
  See Also:
    `setSchema(Schema)`, `SQLSchemaPackage.getSequence_Schema()`, `Schema.getSequences()`

### setSchema

    public void setSchema(Schema value)

  Sets the value of the '`Schema`' reference.

  Parameters:
    `value` - the new value of the 'Schema' reference.
  See Also:
    `getSchema()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.